def angleBetweenPlanes()
	s=Sketchup.active_model.selection
	if s.empty?
		UI.messagebox("No selection.\nPlease select 2 faces.")
		return
	end
	if s.length!=2
		UI.messagebox(s.length.to_s + " object(s) selected.\nPlease select 2 faces.")
		return
	end
	if !s[0].is_a?( Sketchup::Face ) or !s[1].is_a?( Sketchup::Face )
		UI.messagebox("one of the selected object is not a face.\nPlease select 2 faces.")
		return
	end
	a1,b1,c1,d1=s[0].plane
	a2,b2,c2,d2=s[1].plane
	
	cosTheta = ( (a1*a2)+(b1*b2)+(c1*c2) / Math::sqrt(((a1*a1)+(b1*b1)+(c1*c1))*((a2*a2)+(b2*b2)+(c2*c2))) )
	UI.messagebox("Face 1 plane: " + dec2(a1).to_s + "X " + dec2(b1).to_s + "Y " + dec2(c1).to_s + "Z " + dec2(d1).to_s + " = 0\nFace 2 plane: " + dec2(a2).to_s + "X " + dec2(b2).to_s + "Y " + dec2(c2).to_s + "Z " + dec2(d2).to_s + " = 0\nAngle (radians): " + Math::acos(cosTheta).to_s + "\nAngle (degrees): " + Math::acos(cosTheta).radians.to_s)
end

def dec2(x)
	return 0.0 if x==0.0
	return ((x*100.0).round)/100.0
end